# array_combine

(PHP 5, PHP 7, PHP 8)

array_combine — Crea un nuevo array, usando una matriz para las claves y otra para sus valores

### Descripción

array_combine(array `$keys`, array `$values`): array

Crea un array usando los valores del array `keys` como las keys y los valores del array `values` como los valores correspondientes.

### Parámetros

`keys`

  Array de las keys a usar. Cualquier valor inválido para la key será convertido a string.

`values`

  Array de valores a usar

### Valores devueltos

Retorna el array combinado, `false` si el número de elementos de cada array no es igual.

### Errores/Excepciones

Arroja un `E_WARNING` si el número de elementos en `keys` y `values` no coincide.

### Historial de cambios

Versión | Descripción
--- | ---
5.4.0 | Versiones previas emiten un `E_WARNING` y devuelven `false` para arrays vacíos.

### Ejemplos

Ejemplo #1 Ejemplo simple de array_combine()

`<?php
$a = array('green', 'red', 'yellow');
$b = array('avocado', 'apple', 'banana');
$c = array_combine($a, $b);
print_r($c);
?>`

El resultado del ejemplo sería:

    Array
    (
        [green]  => avocado
        [red]    => apple
        [yellow] => banana
    )

### Ver también

- array_merge() - Combina dos o más arrays
- array_walk() - Aplicar una función proporcionada por el usuario a cada miembro de un array
- array_values() - Devuelve todos los valores de un array